#ifndef OS_OSOBJECT_H
#define OS_OSOBJECT_H

#include <libkern/c++/OSMetaClass.h>

class OSSymbol;
class OSString;

class OSObject : public OSMetaClassBase{

public:

/*release


Releases a reference to this object. 
public

virtual void release() const; 
Discussion 

Removes a reference that is NULL tagged. See taggedRelease.*/
virtual void release() const; 


/*retain


Retains a reference to this object. 
public

virtual void retain() const; 
Discussion 

Takes a reference that is NULL tagged. See taggedRetain.*/
virtual void retain() const; 
};

#endif